<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
		<h2>Nová objednávka</h2>
		<h:form id="Form">
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h3>
				<h:outputText
					value="#{objednavkaBean.zakaznik.jmeno} #{objednavkaBean.zakaznik.prijmeni}"></h:outputText>
			</h3>

			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="Datum objednávky"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.objednavka.datumObjednani}"
					required="true" id="calendar1"
					validatorMessage="Datum objednávky musí být ve formátu dd-mm-yyyy"
					requiredMessage="Datum objednávky je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy" />
				</h:inputText>

				<h:outputLabel rendered="true" value="Platba" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobPlatby}">
					<f:selectItem itemValue="na ucet" itemLabel="Převod na účet" />
					<f:selectItem itemValue="hotovost" itemLabel="Hotově" />
				</h:selectOneMenu>


				<h:outputLabel rendered="true" value="Způsob dodání" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobDodani}">
					<f:selectItem itemValue="vlastni" itemLabel="Vlastní" />
					<f:selectItem itemValue="dodavka" itemLabel="Dodavka" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Termín dodání"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.objednavka.terminDodani}"
					required="true" id="calendar2"
					validatorMessage="Datum dodání musí být ve formátu dd-mm-yyyy"
					requiredMessage="Datum dodání je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy" />
				</h:inputText>

				<h:outputLabel rendered="true" value="Adresa"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.adresaDodani}"
					converter="omnifaces.SelectItemsConverter" required="true"
					requiredMessage="Zákazník nemá žádné adresy.">
					<f:selectItems value="#{objednavkaBean.zakaznik.adresy}"
						var="adresa" itemValue="#{adresa}"
						itemLabel="#{adresa.obec}, #{adresa.ulice}, #{adresa.cislo}" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Sestavující" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.sestavoval}"
					converter="omnifaces.SelectItemsConverter">
					<f:selectItems value="#{objednavkaBean.zamBean.prodavaci}"
						var="prodavac" itemValue="#{prodavac}"
						itemLabel="#{prodavac.login}" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value="Doručující" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.dodal}"
					converter="omnifaces.SelectItemsConverter">
					<f:selectItems value="#{objednavkaBean.zamBean.ridici}" var="ridic"
						itemValue="#{ridic}" itemLabel="#{ridic.login}" />
				</h:selectOneMenu>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			<div class="blok">
				<h:commandButton action="#{objednavkaBean.actionInsertNew}"
					value="Přidat produkty" styleClass="button">
				</h:commandButton>
				<h:commandButton action="cancel" value="Zrušit" styleClass="button" immediate="true">
				</h:commandButton>
			</div>
		</h:form>
	</ui:define>
</ui:composition>
</html>
